ExpandTarget
Expand image - Upload target image
Example:
import requests
import json
url_api = 'https://api.piktid.com/api'
target_full_path = 'url_of_your_target_image'
options = {}
response = requests.post(url_api+'/expand/target',
headers={'Authorization': 'Bearer '+TOKEN},
files={'file': open(target_full_path, 'rb')},
data={'options':json.dumps(options)},
)
response_json = json.loads(response.text)
id_image = response_json.get('id_image')Authorization
token_auth_2 AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.piktid.com/api/expand/target" \ -H "Content-Type: application/json" \ -d '{}'{
"id_image": "string"
}{
"code": 0,
"message": "string",
"description": "string"
}{
"code": 0,
"message": "string",
"description": "string"
}{
"code": 0,
"message": "string",
"description": "string"
}